macOS and Mac OS X Multiple Vulnerabilities (Security Update 2017-002 and 2017-005)

High Nessus Plugin ID 105081

Synopsis

The remote host is missing a macOS or Mac OS X security update that fixes multiple vulnerabilities.

Description

The remote host is running Mac OS X 10.11.6 or Mac OS X 10.12.6 and is missing a security update. It is therefore, affected by multiple vulnerabilities affecting the following components :

- apache
- curl
- IOAcceleratorFamily
- IOKit
- Kernel
- OpenSSL
- Screen Sharing Server

Solution

Install Security Update 2017-005 or later for 10.11.x or Security Update 2017-002 or later for 10.12.x.

See Also

https://support.apple.com/en-us/HT208331

Plugin Details

Severity: High

ID: 105081

File Name: macosx_SecUpd2017-005.nasl

Version: 1.10

Type: local

Agent: macosx

Published: 2017/12/07

Updated: 2019/11/12

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS Score Source: CVE-2017-7172

CVSS v2.0

Base Score: 9.3

Temporal Score: 7.7

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:OF/RC:C

CVSS v3.0

Base Score: 7.8

Temporal Score: 7.2

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:F/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:apple:mac_os_x, cpe:/o:apple:macos

Required KB Items: Host/local_checks_enabled, Host/MacOSX/Version, Host/MacOSX/packages/boms

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2017/12/06

Vulnerability Publication Date: 2017/12/06

Exploitable With

Metasploit (Mac OS X Root Privilege Escalation)

Reference Information

CVE: CVE-2017-3735, CVE-2017-7154, CVE-2017-7158, CVE-2017-7159, CVE-2017-7162, CVE-2017-7172, CVE-2017-7173, CVE-2017-9798, CVE-2017-12837, CVE-2017-13847, CVE-2017-13855, CVE-2017-13862, CVE-2017-13867, CVE-2017-13868, CVE-2017-13869, CVE-2017-13872, CVE-2017-13904, CVE-2017-15422, CVE-2017-1000254

BID: 100515, 100860, 100872, 101115, 101981, 102097, 102098, 102100, 103134, 103135